# $Id: openib.spec 6922 2006-05-04 12:49:48Z vlad $

Summary: OpenIB Infiniband Driver Stack
Name: openib
Version: 1.2
Release: 6%{?dist}.1
License: GPL/BSD
Url: http://www.openfabrics.org/
Group: System Environment/Base
Source0: ofa_user-%{version}.tgz
Source1: ofed-docs-1.2.tar.gz
Source2: openib-1.0-openib.conf
Source3: openib-1.0-openibd.init
Source4: openib-1.0-opensm.conf
Source5: openib-1.0-opensmd.init
Source6: openib-1.0-opensm-logrotate
Source7: openib-1.1-ipoibha.init
Source8: openib-90-ib.rules
Patch1: openib-1.2-dat-conf.patch
Patch2: openib-1.0-dapl-atomic.patch
Patch3: openib-1.1-rping.patch
Patch4: openib-1.2-libehca-64k-page.patch
Patch5: openib-1.2-libibverbs-madvise.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
BuildRequires: libsysfs-devel, pciutils-devel, zlib-devel, autoconf, automake, libtool
Obsoletes: kernel-ib <= 1.0-1
Requires(post): chkconfig
%description 
InfiniBand "verbs", Access Layer  and ULPs

#%package ipoibtools
#Version: 1.1
#Summary: IPoIB High Availability tools
#Group:   Applications/System
#Requires: perl
#Requires(post): chkconfig
#%description ipoibtools
#IPoIB High Availablity Daemon

%package -n libibverbs
Version: 1.1.1
Summary: A library for direct userspace use of InfiniBand Verbs
Requires: openib
Group: System Environment/Libraries
%description -n libibverbs
libibverbs is a library that allows userspace processes to use
InfiniBand "verbs" as described in the InfiniBand Architecture
Specification.  This includes direct hardware access for fast path
operations.

%package -n libibverbs-devel
Version: 1.1.1
Summary: Development files for the libibverbs library
Group: System Environment/Libraries
Requires: libibverbs = %{version}-%{release}
%description -n libibverbs-devel
Static libraries and header files for the libibverbs verbs library.

%package -n libibverbs-utils
Version: 1.1.1
Summary: Examples for the libibverbs library
Group: System Environment/Libraries
Requires: libibverbs = %{version}-%{release}
%description -n libibverbs-utils
Useful libibverbs1 example programs such as ibv_devinfo, which
displays information about InfiniBand devices.

%package -n libibcm
Version: 1.0
Summary: Userspace InfiniBand Connection Manager
Requires: openib
Group: System Environment/Libraries
%description -n libibcm
Along with the OpenIB kernel drivers, libibcm provides a userspace
InfiniBand Connection Managment API.

%package -n libibcm-devel
Version: 1.0
Summary: Userspace InfiniBand Connection Manager
Requires: libibcm = %{version}-%{release}
Group: System Environment/Libraries
%description -n libibcm-devel
Along with the OpenIB kernel drivers, libibcm provides a userspace
InfiniBand Connection Managment API.  These are the files needed to
compile programs that link against this library.

%package -n libmthca
Version: 1.0.4
Summary: Mellanox InfiniBand HCA Userspace Driver
Requires: openib
Requires: libibverbs >= 1.1
Group: System Environment/Libraries
%description -n libmthca
libmthca provides a device-specific userspace driver for Mellanox HCAs
(MT23108 InfiniHost and MT25208 InfiniHost III Ex) for use with the
libibverbs library.

%package -n libmthca-devel
Version: 1.0.4
Summary: Development files for the libmthca driver
Group: System Environment/Libraries
Requires: libmthca = %{version}-%{release}
%description -n libmthca-devel
Static version of libmthca that may be linked directly to an
application, which may be useful for debugging.

%package -n libcxgb3
Version: 1.0
Summary: Chelsio T3 RNIC OpenIB Userspace Library
Group: System Environment/Libraries
Requires: libibverbs >= 1.1
%description -n libcxgb3
libcxgb3 provides a device-specific userspace driver for Chelsio RNICs
for use with the libibverbs library.

%package -n libcxgb3-devel
Version: 1.0
Summary: Development files for the Chelsio T3 RNIC driver
Group: System Environment/Libraries
Requires: libcxgb3 = %{version}-%{release}
%description -n libcxgb3-devel
Static version of libcxgb3 that may be linked directly to an
application, which may be useful for debugging.

%ifarch x86_64 ia64 ppc64
%define with_ipath --with-libipathverbs
%package -n libipathverbs
Version: 1.1
Summary: PathScale InfiniPath HCA Userspace Driver
Requires: openib
Requires: libibverbs >= 1.1
Group: System Environment/Libraries
%description -n libipathverbs
libipathverbs provides a device-specific userspace driver for PathScale HCAs.

%package -n libipathverbs-devel
Version: 1.1
Summary: Development files for the libipathverbs driver
Group: System Environment/Libraries
Requires: libipathverbs = %{version}-%{release}
%description -n libipathverbs-devel
Static version of libipathverbs that may be linked directly to an
application, which may be useful for debugging.
%else
%define with_ipath --without-libipathverbs
%endif

%ifarch ppc ppc64
%define with_ehca --with-libehca
%package -n libehca
Version: 1.0.2
Summary: IBM eServer eHCA Infiniband device driver for Linux on POWER
Requires: openib
Requires: libibverbs >= 1.1
Group: System Environment/Libraries
%description -n libehca
libehca provides a device-specific userspace driver for IBM's ehca InfiniBand
cards.

%package -n libehca-devel
Version: 1.0.2
Summary: development files for eHCA Infiniband device driver
Group: System Environment/Libraries
Requires: libehca = %{version}-%{release}
%description -n libehca-devel
Static version of libecha library that can be directly linked to an
application, which may be useful for debugging.
%else
%define with_ehca --without-libehca
%endif

%package -n libsdp
Version: 1.1.99
Epoch: 1
Summary: LD_PRELOAD-able library for using SDP
Requires: openib
Group: System Environment/Libraries
%description -n libsdp
libsdp can be LD_PRELOAD-ed to have a sockets application use
InfiniBand Sockets Direct Protocol (SDP) instead of TCP, transparently
and without recompiling the application.

%package -n sdpnetstat
Version: 1.50
Summary: netstat for SDP connections
Group: Applications/System
%description -n sdpnetstat
netstat capable of querying SDP based connections

%define with_srptools --with-srptools
%package srptools
Version: 0.0.6
Summary: Tools for SRP/IB
Requires: openib
Group: Applications/System
%description srptools
In conjunction with the kernel ib_srp driver, srptools allows you to
discover and use SCSI devices via the SCSI RDMA Protocol over InfiniBand.

%define with_tvflash --with-tvflash
%package tvflash
Version: 0.9.2
# BuildRequires: pciutils-devel
Summary: Tool to manage Mellanox HCA firmware flash memory
Requires: openib
Obsoletes: tvflash
Group: Applications/System
%description tvflash
tvflash is used to query and update the firmware flash memory attached
to Mellanox InfiniBand HCAs.

%package -n libibcommon
Version: 1.0.3
Summary: OpenIB InfiniBand Management and Diagnostic Tools
Requires: openib
Group: System Environment/Libraries
%description -n libibcommon
libibcommon provides common utility functions for the IB diagnostic and
management tools.

%package -n libibcommon-devel
Version: 1.0.3
Summary: Development files for the libibcommon library
Group: System Environment/Libraries
Requires: libibcommon = %{version}-%{release}
%description -n libibcommon-devel
Development files for the libibcommon library

%package -n libibmad
Version: 1.0.5
Summary: OpenIB InfiniBand Management and Diagnostic Tools
Requires: openib
Group: System Environment/Libraries
%description -n libibmad
libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic
IB functions.

%package -n libibmad-devel
Version: 1.0.5
Summary: Development files for the libibmad library
Group: System Environment/Libraries
Requires: libibmad = %{version}-%{release}
%description -n libibmad-devel
Development files for the libibmad library.

%package -n libibumad
Version: 1.0.5
Summary: OpenIB InfiniBand Management and Diagnostic Tools
Requires: openib
Group: System Environment/Libraries
%description -n libibumad
libibumad provides the user MAD library functions which sit on top of
the user MAD modules in the kernel. These are used by the IB diagnostic
and management tools, including OpenSM.

%package -n libibumad-devel
Version: 1.0.5
Summary: Development files for the libibumad library
Group: System Environment/Libraries
Requires: libibumad = %{version}-%{release}
%description -n libibumad-devel
Development files for the libibumad library.

%package diags
Version: 1.2.7
Summary: OpenIB InfiniBand Diagnostic Tools
Requires: openib, perl
Provides: perl(IBswcountlimits)
Group: System Environment/Libraries
%description diags
diags provides IB diagnostic programs and scripts needed to diagnose
an IB subnet.

%package -n opensm
Version: 3.0.3
Summary: InfiniBand subnet manager and administration libraries
Requires: opensm-libs = %{version}-%{release}
Requires(post): chkconfig
Group: System Environment/Libraries
%description -n opensm
OpenSM provides an implementation for an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each
InfiniBand subnet).

%package -n opensm-libs
Version: 3.0.3
Summary: InfiniBand subnet manager and administration libraries
Requires: openib
Group: System Environment/Libraries
%description -n opensm-libs
OpenSM provides an implementation for an InfiniBand Subnet Manager and
Administration. Such a software entity is required to run for in order
to initialize the InfiniBand hardware (at least one per each
InfiniBand subnet).

%package -n opensm-devel
Version: 3.0.3
Summary: Development files for OpenSM
Group: System Environment/Libraries
Requires: opensm-libs = %{version}-%{release}, libibcommon-devel, libibumad-devel
%description -n opensm-devel
Static libraries and header files for OpenSM.

%define with_perftest --with-perftest
%package perftest
Version: 1.2
Summary: InfiniBand RDMA Performance tests
Requires: openib
Obsoletes: perftest
Group: System Environment/Libraries
%description perftest
gen2 uverbs microbenchmarks

%define with_mstflint --with-mstflint
%package mstflint
Version: 1.2
Summary: Mellanox firmware burning application
Requires: openib
Obsoletes: mstflint
Group:  Applications/System
%description mstflint
This package contains a tool for burning updated firmware on to
Mellanox manufactured InfiniBand adapters.

%package -n librdmacm
Version: 1.0.1
Summary: RDMA cm library
Requires: openib
Group:  System Environment/Libraries
%description -n librdmacm
RDMA cm library.

%package -n librdmacm-devel
Version: 1.0.1
Summary: RDMA cm library header files
Requires: librdmacm = %{version}-%{release}
Group:  System Environment/Libraries
%description -n librdmacm-devel
RDMA cm library header files.

%package -n librdmacm-utils
Version: 1.0.1
Summary: RDMA cm library test utilities
Requires: librdmacm = %{version}-%{release}
Group: System Environment/Libraries
%description -n librdmacm-utils
RDMA connection management library test utilities

%ifnarch ppc
%ifarch i386 ppc
%define datname dat32.conf
%else
%define datname dat64.conf
%endif
%define with_dapl --with-dapl
%package -n dapl
Version: 1.2.1.1
Summary: Userspace DAT and DAPL API
Requires: openib
Group:  System Environment/Libraries
Obsoletes: udapl <= 1.2
%description -n dapl
Along with the OpenIB kernel drivers, libdat and libdapl provides a userspace
RDMA API that supports DAT 1.2 specification

%package -n dapl-devel
Version: 1.2.1.1
Summary: Development files for the libdat and libdapl libraries
Group:  System Environment/Libraries
Obsoletes: udapl-devel <= 1.2
Requires: dapl = %{version}-%{release}
%description -n dapl-devel
Static libraries and header files for the libdat and libdapl library.

%package -n dapl-utils
Version: 1.2.1.1
Summary: Test programs for the dapl libraries
Group: System Environment/Libraries
Requires: dapl = %{version}-%{release}
%description -n dapl-utils
Test programs to ensure that your dapl environment is functioning properly

%else
%define with_dapl --without-dapl
%endif

%package -n qlvnictools
Version: 0.0.1
Summary: Tools for VNIC/IB
Group: Applications/System
%description -n qlvnictools
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you to
discover and use QLogic Virtual NIC devices via the VNIC protocol overs
InfiniBand.


#################################################################################################################################


%prep
%setup -n ofa_user-1.2 -q -a 1
./configure --without-patch --with-userspace-fixes --prefix=%{_prefix} --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}/ofed --mandir=%{_mandir} --with-libibverbs --with-libmthca %{with_ipath} %{with_ehca} --with-libcxgb3 --with-libibcm --with-libsdp --with-librdmacm %{with_dapl} --with-management-libs --with-libibcommon --with-libibumad --with-libibmad --with-opensm --with-openib-diags --with-perftest --with-srptools --without-ipoibtools --with-qlvnictools --with-tvflash --with-mstflint --with-sdpnetstat
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
make user

###
### install
###
%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_initrddir}
# Several packages want to install in /etc/init.d instead of /etc/rc.d/init.d
ln -s rc.d/init.d $RPM_BUILD_ROOT%{_sysconfdir}/init.d
make DESTDIR=$RPM_BUILD_ROOT install_user
# Now get rid of the bogus link
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d
# And clear out some mis-installed files
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/ofed/init.d
# clean out unwanted cruft
rm -f $RPM_BUILD_ROOT%{_bindir}/set_mthca_nodedesc.sh

	
# Copy infiniband configuration
install -d $RPM_BUILD_ROOT/var/cache/osm
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/openib.conf

%ifnarch ppc
# udapl configuration file
mv ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/dat.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/%{datname}
perl -ni -e  "s@/usr/lib@%{_libdir}@;print" ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/%{datname}
%endif

# Install service scripts
install -d ${RPM_BUILD_ROOT}%{_initrddir}
install -m 0755 %{SOURCE3} ${RPM_BUILD_ROOT}%{_initrddir}/openibd
install -m 0644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/opensm.conf
install -m 0755 %{SOURCE5} ${RPM_BUILD_ROOT}%{_initrddir}/opensmd
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE6} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/opensm
#install -m 0755 %{SOURCE7} ${RPM_BUILD_ROOT}%{_initrddir}/ipoibha

# Move the man files from /usr/man to /usr/share/man
#install -d ${RPM_BUILD_ROOT}%{_mandir}
#mv ${RPM_BUILD_ROOT}/usr/man/* ${RPM_BUILD_ROOT}%{_mandir}
#rmdir ${RPM_BUILD_ROOT}/usr/man

# The runme script belongs in a user's home bin dir, not in /usr/bin
rm -f ${RPM_BUILD_ROOT}%{_bindir}/runme

# Add sldd.sh (W/A for handover issue)
install -m 0755 $RPM_BUILD_DIR/ofa_user-1.2/ofed_scripts/sldd.sh ${RPM_BUILD_ROOT}%{_sbindir}/sldd.sh
# Move opensm to /usr/sbin where it belongs instead of /usr/bin
mv ${RPM_BUILD_ROOT}%{_bindir}/opensm ${RPM_BUILD_ROOT}%{_sbindir}/opensm
mv ${RPM_BUILD_ROOT}%{_bindir}/osmtest ${RPM_BUILD_ROOT}%{_sbindir}/osmtest
# Move mcasthandle and ipoibha to /sbin
#install -d ${RPM_BUILD_ROOT}/sbin
#mv ${RPM_BUILD_ROOT}%{_bindir}/ipoib_ha.pl ${RPM_BUILD_ROOT}/sbin/ipoibha
#mv ${RPM_BUILD_ROOT}%{_bindir}/mcasthandle ${RPM_BUILD_ROOT}/sbin/mcasthandle
#rm -f ${RPM_BUILD_ROOT}%{_sbindir}/{ha,ipoibarping}

install -d $RPM_BUILD_ROOT/etc/udev/rules.d
install -m 0644 %{SOURCE8} ${RPM_BUILD_ROOT}/etc/udev/rules.d/90-ib.rules

# Remove the .la files from the install tree
find $RPM_BUILD_ROOT -name \*.la | xargs rm
#rm -f ${RPM_BUILD_ROOT}/usr/utils/ip
#rmdir ${RPM_BUILD_ROOT}/usr/utils

%clean
[ ! -z "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT

%post -n openib
if [ $1 = 1 ]; then
        /sbin/chkconfig --add openibd 
fi

%post -n opensm
if [ $1 = 1 ]; then
        /sbin/chkconfig --add opensmd 
fi

%post -n libibverbs
/sbin/ldconfig

%post -n libibcm
/sbin/ldconfig

%post -n libsdp
/sbin/ldconfig

%post -n libibcommon
/sbin/ldconfig

%post -n libibmad
/sbin/ldconfig

%post -n libibumad
/sbin/ldconfig

%post -n librdmacm
/sbin/ldconfig

%post -n opensm-libs
/sbin/ldconfig

%ifnarch ppc
%post -n dapl
/sbin/ldconfig
%endif

###
### preun section
###

%preun -n openib
if [ $1 = 0 ]; then
    /sbin/chkconfig --del openibd 
fi

%preun -n opensm
if [ $1 = 0 ]; then
    /sbin/chkconfig --del opensmd
    rm -f /var/cache/osm/*
fi

#%preun ipoibtools
#if [ $1 = 0 ]; then
#    /sbin/chkconfig --del ipoibha
#fi

%postun -n libibverbs
/sbin/ldconfig

%postun -n libibcm
/sbin/ldconfig

%postun -n libsdp
/sbin/ldconfig

%postun -n libibcommon
/sbin/ldconfig

%postun -n libibmad
/sbin/ldconfig

%postun -n libibumad
/sbin/ldconfig

%postun -n librdmacm
/sbin/ldconfig

%postun -n opensm-libs
/sbin/ldconfig

%ifnarch ppc
%postun -n dapl
/sbin/ldconfig
%endif

%files
%defattr(-,root,root,-)
%doc ofed-docs-1.2/*
%dir %{_sysconfdir}/ofed
%config(noreplace) %{_sysconfdir}/ofed/openib.conf
%{_initrddir}/openibd
/etc/udev/rules.d/90-ib.rules

#%files ipoibtools
#%defattr(-,root,root,-)
#%{_initrddir}/ipoibha
#/sbin/mcasthandle
#/sbin/ipoibha

%files -n libibverbs
%defattr(-,root,root,-)
%{_libdir}/libibverbs*.so.*
%dir %{_sysconfdir}/ofed/libibverbs.d

%files -n libibverbs-devel
%defattr(-,root,root,-)
%{_libdir}/libibverbs*.a
%{_libdir}/libibverbs*.so
%dir %{_includedir}/infiniband
%{_includedir}/infiniband/arch.h         
%{_includedir}/infiniband/driver.h       
%{_includedir}/infiniband/kern-abi.h     
%{_includedir}/infiniband/marshall.h     
%{_includedir}/infiniband/opcode.h       
%{_includedir}/infiniband/sa.h           
%{_includedir}/infiniband/sa-kern-abi.h  
%{_includedir}/infiniband/verbs.h
%{_mandir}/man3/ibv_*
%{_mandir}/man3/mult_to_ibv_rate*

%files -n libibverbs-utils
%defattr(-,root,root,-)
%{_bindir}/ibv_*
%{_mandir}/man1/ibv_*

%files -n libibcm
%defattr(-,root,root,-)
%{_libdir}/libibcm.so.*

%files -n libibcm-devel
%defattr(-,root,root,-)
%{_libdir}/libibcm.so
%{_libdir}/libibcm.a
%{_includedir}/infiniband/cm_abi.h
%{_includedir}/infiniband/cm.h

%files -n libmthca
%defattr(-,root,root,-)
%{_libdir}/libmthca*.so
%{_sysconfdir}/ofed/libibverbs.d/mthca.driver

%files -n libmthca-devel
%defattr(-,root,root,-)
%{_libdir}/libmthca.a

%ifarch x86_64 ia64 ppc64
%files -n libipathverbs
%defattr(-,root,root,-)
%{_libdir}/libipathverbs*.so
%{_sysconfdir}/ofed/libibverbs.d/ipath.driver

%files -n libipathverbs-devel
%defattr(-,root,root,-)
%{_libdir}/libipathverbs.a
%endif

%ifarch ppc ppc64
%files -n libehca
%defattr(-,root,root,-)
%{_libdir}/libehca*.so*
%{_sysconfdir}/ofed/libibverbs.d/ehca.driver

%files -n libehca-devel
%defattr(-,root,root,-)
%{_libdir}/libehca.a
%endif

%files -n libsdp
%defattr(-,root,root)
%{_libdir}/libsdp*.so*
%config(noreplace) %{_sysconfdir}/ofed/libsdp.conf

%files srptools
%defattr(-,root,root)
%{_sbindir}/ibsrpdm
%{_sbindir}/run_srp_daemon
%{_sbindir}/srp_daemon
%{_sbindir}/srp_daemon.sh
%{_mandir}/man1/ibsrpdm.1*
%{_mandir}/man1/srp_daemon.1*
%config(noreplace) %{_sysconfdir}/srp_daemon.conf

%files tvflash
%defattr(-,root,root)
%{_sbindir}/tvflash

%files -n libibcommon
%defattr(-,root,root)
%{_libdir}/libibcommon*.so.*

%files -n libibcommon-devel
%defattr(-,root,root)
%{_libdir}/libibcommon.a
%{_libdir}/libibcommon*.so
%{_includedir}/infiniband/common.h

%files -n libibmad
%defattr(-,root,root)
%{_libdir}/libibmad*.so.*

%files -n libibmad-devel
%defattr(-,root,root)
%{_libdir}/libibmad.a
%{_libdir}/libibmad.so
%{_includedir}/infiniband/mad.h

%files -n libibumad
%defattr(-,root,root)
%{_libdir}/libibumad*.so.*

%files -n libibumad-devel
%defattr(-,root,root)
%{_libdir}/libibumad.so
%{_libdir}/libibumad.a
%{_includedir}/infiniband/umad.h
%{_mandir}/man3/umad_*

%files diags
%defattr(-,root,root)
%{_bindir}/ibaddr 
%{_bindir}/ibnetdiscover 
%{_bindir}/ibping 
%{_bindir}/ibroute 
%{_bindir}/ibstat 
%{_bindir}/ibsysstat 
%{_bindir}/ibtracert 
%{_bindir}/perfquery 
%{_bindir}/sminfo 
%{_bindir}/smpquery 
%{_bindir}/saquery 
%{_bindir}/smpdump
%{_bindir}/ibchecknet
%{_bindir}/ibchecknode
%{_bindir}/ibcheckerrors
%{_bindir}/ibcheckport
%{_bindir}/ibhosts
%{_bindir}/ibstatus 
%{_bindir}/ibswitches
%{_bindir}/ibdiscover.pl
%{_bindir}/ibswportwatch.pl
%{_bindir}/dump_lfts.sh
%{_bindir}/ibcheckerrs
%{_bindir}/ibcheckportstate
%{_bindir}/ibcheckportwidth
%{_bindir}/ibcheckstate
%{_bindir}/ibcheckwidth
%{_bindir}/ibclearcounters
%{_bindir}/ibclearerrors
%{_bindir}/ibnodes
%{_bindir}/ibportstate
%{_bindir}/vendstat
%{_prefix}/lib/perl/IBswcountlimits.pm
%{_mandir}/man8/ib*
%{_mandir}/man8/sm*
%{_mandir}/man8/dump_lfts*
%{_mandir}/man8/dump_mfts*
%{_mandir}/man8/vendstat*
%{_mandir}/man8/perfquery*
%{_mandir}/man8/saquery*
%{_bindir}/ibqueryerrors.pl
%{_bindir}/ibprintswitch.pl
%{_bindir}/ibprintca.pl
%{_bindir}/iblinkinfo.pl
%{_bindir}/ibfindnodesusing.pl
%{_bindir}/dump_mfts.sh

%files -n opensm
%defattr(-,root,root)
%{_sbindir}/opensm
%{_sbindir}/osmtest
%{_sbindir}/sldd.sh
%{_mandir}/man8/opensm.8*
%{_mandir}/man8/osmtest.8*
%config(noreplace) %{_sysconfdir}/ofed/opensm.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/opensm
%{_initrddir}/opensmd
%dir /var/cache/osm

%files -n opensm-libs
%defattr(-,root,root)
%{_libdir}/libosm*so.*
%{_libdir}/libopensm.*so.*

%files -n opensm-devel
%defattr(-,root,root)
%{_includedir}/infiniband/vendor
%{_includedir}/infiniband/opensm
%{_includedir}/infiniband/complib
%{_includedir}/infiniband/iba
%{_libdir}/libosm*so
%{_libdir}/libopensm*so
%{_libdir}/libosm*.a
%{_libdir}/libopensm.a

%files perftest
%defattr(-,root,root)
%{_bindir}/ib_rdma_lat
%{_bindir}/ib_rdma_bw
%{_bindir}/ib_write_lat
%{_bindir}/ib_write_bw
%{_bindir}/ib_send_lat
%{_bindir}/ib_send_bw
%{_bindir}/ib_read_lat
%{_bindir}/ib_read_bw
%{_bindir}/ib_write_bw_postlist
%{_bindir}/ib_clock_test

%files mstflint
%defattr(-,root,root)
%{_bindir}/mst*
%{_includedir}/mtcr.h

%files -n librdmacm
%defattr(-,root,root)
%{_libdir}/librdmacm*.so.*

%files -n librdmacm-devel
%defattr(-,root,root)
%{_libdir}/librdmacm*.so
%{_libdir}/librdmacm*.a
%{_includedir}/rdma/rdma_cma_abi.h
%{_includedir}/rdma/rdma_cma.h
%{_mandir}/man3/rdma_*
%{_mandir}/man7/rdma_*

%files -n librdmacm-utils
%defattr(-,root,root)
%{_bindir}/rping
%{_bindir}/ucmatose
%{_bindir}/udaddy
%{_bindir}/mckey
%{_mandir}/man1/rping*
%{_mandir}/man1/ucmatose*
%{_mandir}/man1/udaddy*
%{_mandir}/man1/mckey*

%ifnarch ppc
%files -n dapl
%defattr(-,root,root)
%{_libdir}/libda*.so.*
%config(noreplace) %{_sysconfdir}/ofed/%{datname}

%files -n dapl-devel
%defattr(-,root,root)
%{_libdir}/libda*.so
%{_libdir}/libda*.a
%{_includedir}/dat/dat.h
%{_includedir}/dat/dat_error.h
%{_includedir}/dat/dat_platform_specific.h
%{_includedir}/dat/dat_redirection.h
%{_includedir}/dat/dat_registry.h
%{_includedir}/dat/dat_vendor_specific.h
%{_includedir}/dat/udat_config.h
%{_includedir}/dat/udat.h
%{_includedir}/dat/udat_redirection.h
%{_includedir}/dat/udat_vendor_specific.h

%files -n dapl-utils
%defattr(-,root,root)
%{_bindir}/dapltest
%{_bindir}/dtest
%{_mandir}/man1/dapltest*
%{_mandir}/man1/dtest*
%endif

%files -n libcxgb3
%defattr(-,root,root)
%{_libdir}/libcxgb3*.so
%{_sysconfdir}/ofed/libibverbs.d/cxgb3.driver

%files -n libcxgb3-devel
%defattr(-,root,root)
%{_libdir}/libcxgb3.a

%files -n qlvnictools
%defattr(-,root,root)
%{_sbindir}/ibvexdm
%{_sbindir}/vnic_parser.pl
%{_initrddir}/ql_vnic

%files -n sdpnetstat
%defattr(-,root,root)
%{_bindir}/sdpnetstat

%changelog
* Tue Oct 16 2007 Doug Ledford <dledford@redhat.com> - 1.2-6%{?dist}.1
- Fix a couple bugs in the openibd.init script
- Resolves: bz329941

* Wed Sep 19 2007 Doug Ledford <dledford@redhat.com> - 1.2-6
- Fix a bug in libibverbs that causes a crash in openmpi
- Related: bz299441

* Mon Aug 06 2007 Doug Ledford <dledford@redhat.com> - 1.2-5
- Further tweaking of init scripts to make them LSB compliant
- Bump number to keep this package up to date with the rhel5 openib package

* Fri Aug 03 2007 Doug Ledford <dledford@redhat.com> - 1.2-3
- Fix libehca problem with 64k page size
- Resolves: bz250497

* Tue Jul 31 2007 Doug Ledford <dledford@redhat.com> - 1.2-2
- Fix regression on rping printing out the help message multiple times
- Resolves: bz249244

* Tue Jun 26 2007 Doug Ledford <dledford@redhat.com> 1.2-1
- Update to final OFED 1.2 release
- Fix init scripts to be standards compliant
- Related: bz229298, bz182202, bz225581, bz243126

* Mon Feb 05 2007 Doug Ledford <dledford@redhat.com> 1.1-5
- Fix an unterminated if statement in the ipoibha init script
- Disable the ipoibtools package since arping is not yet modified to
  support ipoib interfaces and so the package is guaranteed not to work
- Resolves: #227396

* Wed Jan 17 2007 Doug Ledford <dledford@redhat.com> 1.1-4
- Change all the scriptlets to be multiline so that they don't cause problems
  on ppc arch
- Related: #213848, #222227

* Thu Nov 02 2006 Doug Ledford <dledford@redhat.com> 1.1-3
- Make openib, opensm, and ipoibtools Require(post): chkconfig (182845,182846)
- Make ipoibha script have an interpreter tag
- Fix the ipoibha script so it uses arping instead of arpingib and
  passes a functional set of arguments
- Make ipoibha script require an IP broadcast address on the interface
  we are serving in ha mode
- Make rdma_ping print rdma_ping instead of rping in it's usage output
- Make rdma_ping only print the usage info once (213171)
- Update openibd init script to work whether ipath driver is in one module
  or two (212401)

* Sat Oct 21 2006 Doug Ledford <dledford@redhat.com> 1.1-2
- Remove a dead patch from the src rpm and rebuild
- Move the ipoibha tools to /usr/sbin instead of /sbin.  Since they
  require perl to run, and perl resides in /usr, it's safe for them
  to be there instead of /sbin

* Fri Oct 20 2006 Doug Ledford <dledford@redhat.com> 1.1-1
- Update to final 1.1 release

* Fri Oct 20 2006 Doug Ledford <dledford@redhat.com> 1.1-0.pre1.3
- The bug fix to make the udev rules file correct for udev 095 got lost,
  readd it.
- Updates from the old OFED 1.0 code didn't grab all the RPMs because I
  forgot to update the libmthca{,-devel} versions so that the reset
  release number wouldn't cause it to match as older instead of newer.

* Wed Oct 18 2006 Doug Ledford <dledford@redhat.com> 1.1-0.pre1.2
- Bump version numbers on all the packages to allow for updates
  from previous installations
- Remove arpingib, it's not needed
- Add ipoibha init script
- Rename ipoibha.pl ipoibha for ease of use in init script
- Drop hpage patch set from ./configure invocation

* Tue Oct 17 2006 Doug Ledford <dledford@redhat.com> 1.1-0.pre1.1
- Update to latest upstream version of openib and ofed-docs

* Thu Sep 28 2006 Doug Ledford <dledford@redhat.com> 1.0-10
- Add a logrotate file for /var/log/osm.log to opensm
- Fix a %post/%postun script problem with dapl

* Wed Sep 27 2006 Doug Ledford <dledford@redhat.com> 1.0-9
- Correct an error in the openibd init script
- Change the default openib.conf file settings

* Wed Sep 27 2006 Doug Ledford <dledford@redhat.com> 1.0-8
- Rename dat.conf to dat32.conf and dat64.conf so that multilib works properly
- Patch dat libs to look for the right conf file depending on arch of lib

* Tue Sep 26 2006 Doug Ledford <dledford@redhat.com> 1.0-7
- Use the action function in the openibd init script
- Properly load hardware modules if not loaded already on startup
- Make the output of the status command in the openibd init script more
  useful
- Correct load/unload order of modules in openibd init script
- Several other cleanups in the openibd init script

* Tue Sep 12 2006 Doug Ledford <dledford@redhat.com> 1.0-6
- Skip 1.0-5 to make RHEL5 and FC6 trees match more closely
- Update udev rules file for later udev version
- Fix the location of the default osm.log file
- Remove two modules from the openibd startup script that aren't shipped
  with the RHEL5 kernel

* Fri Aug 04 2006 Doug Ledford <dledford@redhat.com> 1.0-4
- Quit special casing ppc64 and just build everything there too

* Mon Jul 31 2006 Doug Ledford <dledford@redhat.com> 1.0-3
- Gut and rewrite large portions of spec file to make FHS compliant
- Use default rpmmacros to control file locations
- Use spec file to control software build, not an external script
- Make the spec file build what you want by default, not when passed options
- Make spec file multilib compliant
- Don't build kernel modules here, the kernel has what it needs
- Rename packages slightly (no more kernel-ib, this is replaced by openib,
  make a few of the other packages have openib- prepended before their
  name in order to make the connection more noticeable)
- Update to work with libsysfs >= 2.0.0
- Many more changes that I forgot
* Wed Apr  27 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Removed libibat
* Wed Apr  5 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added dapl and dapl-devel packages
* Sun Apr  2 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Changed ibdiag to ibutils. Added ibis, ibdm and ibmgtsim packages
* Thu Mar 23 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added libibcommon-devel, libibmad-devel and libibumad-devel packages
* Tue Mar 14 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added ibdiag tools
* Mon Mar 13 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Changed osm to opensm, added opensm-devel package
* Wed Mar  8 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added header files: include/infiniband/...
* Sun Mar  5 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Repackaging: openib like RPMs
* Mon Jan  2 2006 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Added libsdp 32 bit libraries for x86_64 platform
* Mon Nov 14 2005 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging for openib gen2 stack
